Name:           quakeforge
Epoch:          1
Version:        0.5.5
Release:        8%{?dist}
Summary:        The Quake first-person-shooter, Quakeforge version.

Group:          Amusements/Games
License:        GPL
URL:            http://quakeforge.sf.net
Source0:        quakeforge-0.5.5.tar.bz2
Source1:        quakeforge.wrapper
Source2:        quake.png
Source3:	quakeforge.desktop
Source4:	quakeforge.exe
Patch0:		quakeforge-0.5.5-gcc4.patch
Patch1:		quakeforge-0.5.5-oss.patch
Patch2:		quakeforge-0.5.5-zlib64.patch
Patch3:		quakeforge-0.5.5-bigscreen.patch
Patch4:		quakeforge-0.5.5-valgrind.patch
Patch5:		quakeforge-0.5.5-fbdev.patch
Patch6:		quakeforge-0.5.5-zlib.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibc-devel, libICE-devel, libSM-devel, libX11-devel, libXext-devel, libogg-devel, libpng-devel, libvorbis-devel, ncurses-devel, wildmidi-devel, zlib-devel, SDL-devel
Requires:      /usr/bin/pasuspender

%description
The Quake first-person-shooter, Quakeforge version.

%package libs
Summary: Quakeforge libraries
Group: Development/Libraries

%description libs
The Quake first-person-shooter, Quakeforge version - libraries

%package devel
Summary: Quakeforge development files
Group: Development/Libraries

%description devel
The Quake first-person-shooter, Quakeforge version - development.

%prep
%setup -q
%patch0 -p1 -b .gcc4
%patch1 -p1 -b .oss
patch -p1 -b --suffix .zlib64 -T < %PATCH2
%patch3 -p1 -b .bigscreen
%patch4 -p1 -b .valgrind
%patch5 -p1 -b .fbdev
%patch6 -p1 -b .zlib

%build
%configure --disable-strict-aliasing --disable-vidmode --disable-dga \
	   --disable-wildmidi  --without-fbdev \
	   CFLAGS="$CFLAGS -fno-strict-aliasing"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT %{?_smp_mflags}
mkdir $RPM_BUILD_ROOT%{_libexecdir}
mv $RPM_BUILD_ROOT%{_bindir}/*-glx \
   $RPM_BUILD_ROOT%{_bindir}/*-sdl* \
   $RPM_BUILD_ROOT%{_bindir}/*-x11* \
   $RPM_BUILD_ROOT%{_bindir}/*-sgl* \
   $RPM_BUILD_ROOT%{_libexecdir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/nq-glx
chmod +x $RPM_BUILD_ROOT%{_bindir}/nq-glx
for i in $RPM_BUILD_ROOT%{_libexecdir}/*
do
  i=`basename "$i"`
  if [ "$i" != nq-glx ]
  then
    ln $RPM_BUILD_ROOT%{_bindir}/nq-glx $RPM_BUILD_ROOT%{_bindir}/$i
  fi
done

cp %{SOURCE4} $RPM_BUILD_ROOT%{_bindir}/quake
chmod +x $RPM_BUILD_ROOT%{_bindir}/quake

mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
cp %{SOURCE2} $RPM_BUILD_ROOT/usr/share/pixmaps/
mkdir -p $RPM_BUILD_ROOT/usr/share/applications
cp %{SOURCE3} $RPM_BUILD_ROOT/usr/share/applications

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_libexecdir}
%{_datadir}
%doc doc/*.txt

%files libs
%{_libdir}/*.so.*
%dir %{_libdir}/quakeforge
%{_libdir}/quakeforge/*.so

%files devel
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%dir %{_libdir}/quakeforge
%{_libdir}/quakeforge/*.la
%{_libdir}/quakeforge/*.a
%dir %{_libdir}/ruamoko
%{_libdir}/ruamoko/*.a
%{_includedir}

%changelog
* Mon Feb  3 2014 Philippe Troin <phil@fifi.org> - 1:0.5.5-8
- Go back to the old working 0.5.5 branch.
- Patch a zlib issue.
- Disable wildmidi, the wildmidi code has rotten.

* Sun Sep 29 2013 Philippe Troin <phil@fifi.org> - 0.7.0-1
- Update to upstream 0.7.0 (0.7.2 does not compile).
- Don't use pasuspender nor gnome-screensaver inhibit anymore.

* Sun Jun  3 2012 Philippe Troin <phil@fifi.org> - 0.5.5-7
- Dropped icon extension in .desktop file.

* Sun Jul 18 2010 Philippe Troin <phil@fifi.org> - 0.5.5-6
- Use pasuspender.

* Fri May 22 2009 Philippe Troin <phil@fifi.org> - 0.5.5-5
- Inhibit screensaver.

* Wed Feb  4 2009 Philippe Troin <phil@fifi.org> - 0.5.5-4
- Split libraries into a -libs package to avoid multilib issues with
  share/quakeforge/QF/menu.dat.gz.

* Sun Jan 18 2009 Philippe Troin <phil@fifi.org> - 0.5.5-3
- Added patch for compiling fbdev video output on F10.

* Tue Jun 10 2008 Philippe Troin <phil@fifi.org> - 0.5.5-2
- Fix some crashes when presented with a bigscreen.
